Bug 1264183 - undefined method `id' for 1:Fixnum [ems_infra/show] while viewing timelines for a provider
undefined method `id' for 1:Fixnum [ems_infra/show] while viewing timelines f...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Aparna Karve
Nandini Chandra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-17 14:28 EDT by Nandini Chandra
Modified: 2015-12-08 08:31 EST (History)
5 users (show)

See Also:
Fixed In Version: 5.5.0.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:31:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nandini Chandra 2015-09-17 14:28:04 EDT
Description of problem:
------------------------
This error is seen while viewing timelines for a provider.

undefined method `id' for 1:Fixnum [ems_infra/show]


Version-Release number of selected component (if applicable):
----------------------
CFME 5.5


How reproducible:
----------------
Always


Steps to Reproduce:
-------------------
1)Generate timeline events for a provider.For eg,power on/off a VM.
2)From the summary page of the provider,try Navigating to the 
Utilization->Timelines page.



Actual results:
---------------
Error occurs


Expected results:
----------------
No error


Additional info:
----------------
Snippet from production.log:

[----] I, [2015-09-17T14:12:39.446927 #2894:8b9994]  INFO -- : Started GET "/ems_infra/show/1?display=timeline" for 127.0.0.1 at 2015-09-17 14:12:39 -0400
[----] I, [2015-09-17T14:12:39.448219 #2894:8b9994]  INFO -- : Processing by EmsInfraController#show as HTML
[----] I, [2015-09-17T14:12:39.448291 #2894:8b9994]  INFO -- :   Parameters: {"display"=>"timeline", "id"=>"1"}
[----] F, [2015-09-17T14:12:39.726853 #2894:8b9994] FATAL -- : Error caught: [NoMethodError] undefined method `id' for 1:Fixnum
/var/www/miq/vmdb/app/controllers/ems_common.rb:1063:in `show_link'
/var/www/miq/vmdb/app/controllers/ems_common.rb:40:in `show'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/implicit_render.rb:4:in `send_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/abstract_controller/base.rb:198:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/rendering.rb:10:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/abstract_controller/callbacks.rb:20:in `block in process_action'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:117:in `call'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:117:in `call'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:555:in `block (2 levels) in compile'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:505:in `call'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:505:in `call'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:92:in `__run_callbacks__'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:778:in `_run_process_action_callbacks'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:81:in `run_callbacks'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/abstract_controller/callbacks.rb:19:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/rescue.rb:29:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/instrumentation.rb:32:in `block in process_action'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/notifications.rb:164:in `instrument'
Comment 2 Joe Vlcek 2015-09-17 14:56:22 EDT
Some more specifics for recreating:

Steps to Reproduce:
-------------------
1) Configure an "Infrastructure" provider
2) Select "Infrastructure/Providers then highlight the provider icon
3) Select the Monitoring drop down and click on Timelines


This results in the following screen being displayed:

- - -

Unexpected error encountered

Errors in Management Engine can be caused by:

① Accessing Management Engine from multiple tabs or windows of the same browser on a single machine. Close any duplicate browser sessions, then select a menu option above.
② Pressing the back button during a session.
      Close any duplicate browser sessions, then select a menu option above.
③ An internal system error.
      Please contact your administrator for assistance.


Error text:

undefined method `id' for 2:Fixnum [ems_infra/show]

- - -


The exception traceback listed in the initial description is generated in the production.log
Comment 3 Joe Vlcek 2015-09-17 15:18:49 EDT
This is also reported upstream at:
https://github.com/ManageIQ/manageiq/issues/4361
Comment 4 Nandini Chandra 2015-09-17 15:48:16 EDT
The events have been captured in the DB.That's why I have logged this bug against the Web UI component.

#select * from event_streams\x\g\x
message                | nc-dbtest on  cfme-esx-55-01 in CFME is powered off
vm_name                | nc-dbtest
vm_location            | [cfme-esx-glob-na01b-s] nc-dbtest/nc-dbtest.vmx
                       |         str: nc-dbtest
                       |         str: "[cfme-esx-glob-na01b-s] nc-dbtest/nc-dbtest.vmx"
                       |     str: nc-dbtest on  cfme-esx-55-01 in CFME is powered off
vm_name                | nc-dbtest
vm_location            | [cfme-esx-glob-na01b-s] nc-dbtest/nc-dbtest.vmx
Comment 5 Aparna Karve 2015-09-22 12:18:46 EDT
Fixed in https://github.com/ManageIQ/manageiq/pull/4324
Comment 6 Nandini Chandra 2015-10-27 11:38:51 EDT
Verified in 5.5.0.7
Comment 8 errata-xmlrpc 2015-12-08 08:31:01 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.